package com.yihu.jw.entity.iot.workType;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author HZY 业务类型表
 * @vsrsion 1.0
 * Created at 2020/4/29
 */
@Entity
@Table(name = "iot_work_type")
public class IotWorkTypeDO extends UuidIdentityEntityWithOperator implements Serializable {


    @Column(name = "saas_id")
    private String saasId;

    @Column(name = "name")
    private String name;//业务类型名称

    @Column(name = "explanation")
    private String explanation;//说明

    @Column(name = "del")
    private String del;//删除标识： 1：删除  0：不删除

    public String getSaasId() {
        return saasId;
    }

    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getExplanation() {
        return explanation;
    }

    public void setExplanation(String explanation) {
        this.explanation = explanation;
    }

    public String getDel() {
        return del;
    }

    public void setDel(String del) {
        this.del = del;
    }
}
